//////////////////////////////////////////////////////////////////////////
//
//        File  Name : client.cc
//        Class Name : client
//        Author     : Young-ki Hwang
//        Date       : April 30, 1996
//        Description: This is methods of "client" class. 
//                     
//
//////////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <iostream.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include "client.h"


// From the C library functions
extern "C" bzero(char *, int);
extern "C" bind(int, struct sockaddr *, int);
extern "C" listen(int, int);
extern "C" connect(int, struct sockaddr *, int);



//
//  constructor:client()
//  Set up the server machine IP address
//
client::client(char *str)
{
   address = str;
}
 

//
//  initialize()
//  Set up the address of server.
//
client::initialize()
{ 
   bzero((char *) &serv_addr, sizeof(serv_addr));      /* Initialize      */
   serv_addr.sin_family      = AF_INET;                /* Internet family */
   serv_addr.sin_port        = htons(SERVER_PORT);        /* Port number     */
   serv_addr.sin_addr.s_addr = inet_addr(address); /* Netid / Hostid  */

}
 


//
//  make_connection()
//  Connect to the server.
//
client::make_connection()
{
   if (connect(sockfd,(struct sockaddr *)&serv_addr, sizeof(serv_addr)) < 0) 
     { 
        cout << "client: can't connect to the server.";
	exit(1);
      }


   // make a socket file descriptor to be non-blocking for I/O.
   if(fcntl(sockfd, F_SETFL, FNDELAY) < 0)
    { cout<<"Error : fcntl call ";
      exit(1);
     }
       
}


//
//  get_id()
//  Get user id from the input.
//
client::get_id(char *id)
{
   cout << "\nEnter your ID : ";
   cin  >> id;
}
 




